<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("t" . "i" . "t" . "l" . "e" => base64_decode("dGl0bG" . "U="), "_fe2579cea630be3ef7" . "3ecaa47a26a59f" => base64_decode("cGVvcGxlLm15X2luZm9iY" . "XIuYm9va21hcmtfYWRkZW" . "Q="), "_a62d761f3e831ff9d9da39f9c2" . "6ecddc" => base64_decode("Li4vY29tbW9uL" . "2NvcmUucGhw"), "_b93155ab5708" . "22d94f80f2b49" . "acbdcde" => base64_decode("dXJsZGVj" . "b2Rl"), "_4c510e5adc7" . "368560eb3dd6" . "ed429e5c5" => base64_decode("Li4vY29tbW9uL3Byb2N" . "lc3NfcmVzcG9uc2UucG" . "hw"), "messag" . "e" => base64_decode("bWVz" . "c2Fn" . "ZQ=="), "ur" . "l" => base64_decode("d" . "X" . "J" . "s"), "_0c5123aa744f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a62d761f3e831ff9d9da39" . "f9c26ecddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_b93155ab570822d94f80f" . "2b49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["u" . "r" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_b93155ab570822d94f80" . "f2b49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["titl" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_fe2579cea630" . "be3ef73ecaa47" . "a26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["me" . "ss" . "ag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4c510e5adc7368560eb3dd6" . "ed429e5c5"];